package de.oc.excel;

import java.io.*;

public class FileToString {
    public FileToString() {
    }

    public String readFileContents(String filename) throws IOException {
        StringBuffer sb = new StringBuffer();
        BufferedReader brIn = new BufferedReader(new FileReader(filename));
        int c;

        while ((c = brIn.read()) != -1) {
            sb.append((char) c);
        }
        brIn.close();

        return sb.toString();
    }

    public static void main(String[] args) throws IOException {
        FileToString fileToString = new FileToString();
        String filename = "c:\\temp\\out.dat";

        try {
            String sCont = fileToString.readFileContents(filename);
            System.out.println("Read contents from file: " + filename);
            System.out.println("---------------------------------------------");
            System.out.println(sCont);
        } catch (FileNotFoundException e) {
            System.out.println("Datei " + filename +
                " konnte nicht gefunden werden.");
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
